Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	The Ext2 Filesystem Utilities (e2fsprogs) contain all of the standard utilities for creating, fixing, configuring , and debugging ext2 filesystems.
Name:		e2fsprogs
Version:	1.41.14
Release:	1
License:	GNU/GPL
URL:		http://e2fsprogs.sourceforge.net/
Group:		System/Base
Source0:	%{name}-%{version}.tar.gz
Requires(pre):		/sbin/install-info
BuildArch:	i686

%define	_root_sbindir	/sbin
%define	_root_libdir	/%{_lib}

BuildRequires:	texinfo

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: util-linux-ng >= 2.16

%description
The Ext2 Filesystem Utilities (e2fsprogs) contain all of the standard utilities
for creating, fixing, configuring , and debugging ext2 filesystems.

%package	devel
Summary:	development headers for e2fsprogs
License:	GNU/GPL
Group:		System/Base
Requires:	e2fsprogs = %{version}-%{release}

%description	devel
development headers for e2fsprogs

%post
/sbin/install-info %{_infodir}/libext2fs.info.gz %{_infodir}/dir
ldconfig

%postun
ldconfig
 
%preun 
if [ "$1" = 0 ]; then 
     /sbin/install-info --del %{_infodir}/libext2fs.info.gz %{_infodir}/dir 
fi 

%prep
%setup -q -n %{name}-%{version}

%build
%configure \
--enable-elf-shlibs \
--enable-nls \
--disable-uuidd \
--disable-fsck \
--disable-e2initrd-helper \
--disable-libblkid \
--disable-libuuid
make %{?_smp_mflags} V=1

%check
make %{?_smp_mflags} check

%install
rm -rf %{buildroot}
export PATH=/sbin:$PATH
make install install-libs DESTDIR=%{buildroot} INSTALL="%{__install} -p" \
	root_sbindir=%{_root_sbindir} root_libdir=%{_root_libdir}
# make staic libraries writeable, so brp-strip-static-archives can do
# it`s magic without having to disable it ( don`t mess atound with rpm. 
# when the package itself is at fault !)
chmod a+rw $RPM_BUILD_ROOT/usr/lib/lib*.a

%files
%defattr(-,root,root)
%_sysconfdir/mke2fs.conf
/lib/libcom_err.so.2                                   
/lib/libcom_err.so.2.1                                 
/lib/libe2p.so.2                                       
/lib/libe2p.so.2.3                                     
/lib/libext2fs.so.2                                    
/lib/libext2fs.so.2.4                                  
/lib/libss.so.2                                        
/lib/libss.so.2.0                                      
/sbin/badblocks                                        
/sbin/debugfs                                          
/sbin/dumpe2fs                                         
/sbin/e2fsck                                           
/sbin/e2image                                          
/sbin/e2label                                          
/sbin/e2undo
/sbin/fsck.ext2
/sbin/fsck.ext3
/sbin/fsck.ext4
/sbin/fsck.ext4dev
/sbin/logsave
/sbin/mke2fs
/sbin/mkfs.ext2
/sbin/mkfs.ext3
/sbin/mkfs.ext4
/sbin/mkfs.ext4dev
/sbin/resize2fs
/sbin/tune2fs
%{_bindir}/chattr
%{_bindir}/compile_et
%{_bindir}/lsattr
%{_bindir}/mk_cmds
%{_sbindir}/e2freefrag
%{_sbindir}/filefrag
%{_sbindir}/mklost+found
%{_datadir}/et/et_c.awk
%{_datadir}/et/et_h.awk
%{_infodir}/libext2fs.info.gz
%{_locale}/ca/LC_MESSAGES/e2fsprogs.mo
%{_locale}/cs/LC_MESSAGES/e2fsprogs.mo
%{_locale}/de/LC_MESSAGES/e2fsprogs.mo
%{_locale}/es/LC_MESSAGES/e2fsprogs.mo
%{_locale}/fr/LC_MESSAGES/e2fsprogs.mo
%{_locale}/id/LC_MESSAGES/e2fsprogs.mo
%{_locale}/it/LC_MESSAGES/e2fsprogs.mo
%{_locale}/nl/LC_MESSAGES/e2fsprogs.mo
%{_locale}/pl/LC_MESSAGES/e2fsprogs.mo
%{_locale}/sv/LC_MESSAGES/e2fsprogs.mo
%{_locale}/tr/LC_MESSAGES/e2fsprogs.mo
%{_locale}/vi/LC_MESSAGES/e2fsprogs.mo
%{_locale}/zh_CN/LC_MESSAGES/e2fsprogs.mo
%{_mandir}/man1/chattr.1.gz
%{_mandir}/man1/compile_et.1.gz
%{_mandir}/man1/lsattr.1.gz
%{_mandir}/man1/mk_cmds.1.gz
%{_mandir}/man3/com_err.3.gz
%{_mandir}/man5/e2fsck.conf.5.gz
%{_mandir}/man5/mke2fs.conf.5.gz
%{_mandir}/man8/badblocks.8.gz
%{_mandir}/man8/debugfs.8.gz
%{_mandir}/man8/dumpe2fs.8.gz
%{_mandir}/man8/e2freefrag.8.gz
%{_mandir}/man8/e2fsck.8.gz
%{_mandir}/man8/e2image.8.gz
%{_mandir}/man8/e2label.8.gz
%{_mandir}/man8/e2undo.8.gz
%{_mandir}/man8/filefrag.8.gz
%{_mandir}/man8/fsck.ext2.8.gz
%{_mandir}/man8/fsck.ext3.8.gz
%{_mandir}/man8/fsck.ext4.8.gz
%{_mandir}/man8/fsck.ext4dev.8.gz
%{_mandir}/man8/logsave.8.gz
%{_mandir}/man8/mke2fs.8.gz
%{_mandir}/man8/mkfs.ext2.8.gz
%{_mandir}/man8/mkfs.ext3.8.gz
%{_mandir}/man8/mkfs.ext4.8.gz
%{_mandir}/man8/mkfs.ext4dev.8.gz
%{_mandir}/man8/mklost+found.8.gz
%{_mandir}/man8/resize2fs.8.gz
%{_mandir}/man8/tune2fs.8.gz
%{_datadir}/ss/ct_c.awk
%{_datadir}/ss/ct_c.sed

%files devel
%defattr(-,root,root)
%{_includedir}/e2p
%{_includedir}/et
%{_includedir}/ext2fs
%{_includedir}/ss
%{_libdir}/libcom_err.a
%{_libdir}/libcom_err.so
%{_libdir}/libe2p.a
%{_libdir}/libe2p.so
%{_libdir}/libext2fs.a
%{_libdir}/libext2fs.so
%{_libdir}/libss.a
%{_libdir}/libss.so
%{_pkgconfig}/com_err.pc
%{_pkgconfig}/e2p.pc
%{_pkgconfig}/ext2fs.pc
%{_pkgconfig}/ss.pc


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Dec 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.41.14-1
- version update
* Sun Mar 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.41.11-1
- version update
* Sat Feb 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.41.10-1
- version update
* Sun Jan 10 2010 Christian Wasem <wasem@ccux-linux.de> 1.41.9-1
- Version update, removed rpm as a require
* Wed Jul 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.41.8-1
- version update
- disabled libuuid in favor of util-linux-ng version
- disabled fsck wrapper in favor of util-linux-ng version
* Tue Jun 09 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.41.6-1
- version update
- disabled blkid in favor of util-linux-ng version
* Fri Apr 24 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.41.5-1
- version update
* Tue Feb 03 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.41.4-1
- version update
* Fri Oct 17 2008 Christian Metzen <metzench@ccux-linux.de> 1.41.3-1
- Version update
* Sat Jul 12 2008 Christian Metzen <metzench@ccux-linux.de> 1.41.0-1
- Version update
* Tue May 27 2008 Christian Wasem <wasem@ccux-linux.de> 1.40.10-3
- rebuild against xorg-apps
* Sun May 25 2008 Christian Wasem <wasem@ccux-linux.de> 1.40.10-2
- added PreReq rpm
* Sat May 24 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.40.10-1
- Version update
* Mon Apr 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.40.9-1
- Version update
* Sun Mar 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.40.8-1
- Version update
* Sat Mar 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.40.7-1
- Version update
* Sun Feb 10 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.40.6-1
- Version update
* Sun Feb 03 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.40.5-1
- Version update
* Tue Jan 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.40.4-1
- Version update
* Sat Aug 11 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.40.2-1
- Version update
* Tue Jul 10 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.40-1
- Version update
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.39-1
- Version update
* Sun Jul 10 2005 Christian Metzen <metzench@ccux-linux.de> 1.38-2
- Added prereq tag, moved more file to devel package
* Sun Jul 03 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.38-1
- Version Update to 1.38, rebuilt spec 
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 1.35-1
- Initial Release
